/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.remote.jaxrs.whiteboard.jaxb.json.internal;

import com.fasterxml.jackson.jaxrs.cfg.Annotations;
import com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider;

import org.osgi.framework.Bundle;
import org.osgi.framework.PrototypeServiceFactory;
import org.osgi.framework.ServiceRegistration;

/**
 * @author Shuyang Zhou
 */
public class JacksonJsonProviderPrototypeServiceFactory
	implements PrototypeServiceFactory<JacksonJsonProvider> {

	@Override
	public JacksonJsonProvider getService(
		Bundle bundle,
		ServiceRegistration<JacksonJsonProvider> serviceRegistration) {

		return new JacksonJsonProvider(Annotations.JACKSON, Annotations.JAXB);
	}

	@Override
	public void ungetService(
		Bundle bundle,
		ServiceRegistration<JacksonJsonProvider> serviceRegistration,
		JacksonJsonProvider jacksonJsonProvider) {
	}

}